#
# spec file for package rubygem-byebug
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-byebug
Version:        6.0.2
Release:        8.18
%define mod_name byebug
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://github.com/deivid-rodriguez/byebug
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-byebug-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby 2.0 fast debugger - base + CLI
License:        BSD-2-Clause
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Byebug is a Ruby 2 debugger. It's implemented using the
Ruby 2 TracePoint C API for execution control and the Debug Inspector C API
for call stack navigation.  The core component provides support that
front-ends can build on. It provides breakpoint handling and bindings for
stack frames among other things and it comes with an easy to use command
line interface.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Aug 24 2015 coolo@suse.com
- updated to version 6.0.2
  see installed CHANGELOG.md
  [#]# 6.0.2 - 2015-08-20
  [#]## Fixed
  * The user should always be given back a prompt unless (s)he explicitly states
  the opposite. This provides a more general fix to the bug resolved in 6.0.1.
  [#]# 6.0.1 - 2015-08-19
  [#]## Fixed
  * Bug in evaluation where the user would lose the command prompt when entering
  an expression with a syntax error.
* Tue Aug 18 2015 coolo@suse.com
- updated to version 6.0.0
  see installed CHANGELOG.md
* Thu Jul 23 2015 mmeister@suse.com
- make it possible to use this gem on SLE 11 too.
* Wed Jun 17 2015 cdenicolo@suse.com
- license update: BSD-2-Clause (fate#318281)
  correct license is  BSD-2-Clause.
* Tue May 19 2015 coolo@suse.com
- updated to version 5.0.0
  see installed CHANGELOG.md
  [#]# 5.0.0
  [#]## Fixed
  * [#136](https://github.com/deivid-rodriguez/byebug/issues/136). `frame`
  command not working with negative numbers (thanks @ark6).
  [#]## Added
  * IDE support and a new command/subcommand API for plugins.
  * Add a "savefile" setting holding the file where "save" command saves current
  debugger's state.
  [#]## Changed
  * `disable` no longer disable all breakpoints, it just shows command's help
  instead. To disable all breakpoints now you need to do `disable breakpoints`
  (or `dis b`). Similarly, you can't no longer use `dis 1 2 3` but need to do
  `dis b 1 2 3` to disable specific breakpoints. The same applies to the `enable`
  command.
  [#]## Removed
  * `help set <setting>` no longer works. `help set` includes that same output and
  it's not verbose enough so that this is a problem. Same with `help show
  <setting>`.
* Wed Apr  8 2015 coolo@suse.com
- updated to version 4.0.5
  [#]## Fixed
  * #131
  * Thread commands help format should be consistent with the rest of the help
  system now.
  [#]# 4.0.4 - 2015-03-27
  [#]## Fixed
  * #127
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.0.3
  [#]## Fixed
  * Unused variable warning in context.c
* Wed Mar 18 2015 coolo@suse.com
- updated to version 4.0.2
  [#]## Fixed
  * Removed `rb-readline` as a dependency and show a help message whenever
  requiring readline fails instead (#118)
  [#]# 4.0.1 - 2014-03-13
  [#]## Fixed
  * .yml files needed for printers support were missing from the release... :S
  * Add `rb-readline` as a dependency (#118)
  [#]# 4.0.0 - 2014-03-13
  [#]## Added
  - `untracevar` command that stops tracing a global variable.
  - Window CI build through AppVeyor.
  - OSX CI build through Travis.
  - Style enforcement through RuboCop.
  - C style enforment using the `indent` command line utility.
  - Some remote debugging tests (thanks @eric-hu).
  - Printer's support (thanks @astashov).
  [#]## Changed
  - A lot of internal refactoring.
  - `tracevar` now requires the full global variable name (with "$").
  - `catch` command is not allowed in post_mortem mode anymore. It was not
  working anyways (#92).
  - `step` is now more user friendly when used in combination with `up` (see #85).
  - `var const` can now be called without an argument and will show constants in
  the current scope.
  - `break` with a class name now creates breakpoints regardless of class not
  being yet defined. If that's the case, it gives a warning but the class is
  created anyways.
  [#]## Fixed
  - Code reloading issues.
  - `set fullpath` was not showing fullpaths. Now it is.
  - `up`, `down` and `frame` commands now work in post_mortem mode (#93).
  - Fixes in rc file (.byebugrc): invalid commands are just ignored instead of
  aborting, global (home) rc file is now properly loaded before project's file.
  - Backtraces not working in `post_mortem` mode (#93).
  - 'cmd1 ; cmd2 ; ...; cmdN' syntax which allows running several commands
  sequentially.
  - Finish command not stopping at the correct line (#101).
  - `break` with namespaced class, like `break A::B#c` should now work (#106).
  - Command history is now persisted before exiting byebug.
  - Setting breakpoint in a method would stop not only at the beginning of the
  method but also at the beginning of every block inside the method.
  - Setting breakpoints on module methods (#122, @x-yuri).
  [#]## Removed
  - `autoreload` setting as it's not necessary anymore. Code should always be up
  to date.
  - `reload` command for the same reason.
  - Gem dependency on `debugger-linecache`.
  - `step+`, `step-`, `next+`, `next-`, `set/show linetrace_plus` and
  `set/show forcestep` commands. These were all mechanisms to deal with TracePoint
  API event dupplication, but this duplicated events have been completely removed
  from the API since
  [r48609](bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/48609), so
  they are no longer necessary.
  - `info file` subcommands: `info file breakpoints`, `info file mtime`, `info
  file sha1`, `info file all`. Now all information is listed under `info file`.
  - `testing` setting. It was just a hack to be able to test `byebug`. Nobody was
  supposed to actually use it!
  - `var class` command, just use Ruby (`self.class.class_variables`).
  - `p` command, just use `eval`, or just type your expression and `byebug` will
  autoevaluate it.
  - `exit` alias for `quit`.
* Wed Dec 17 2014 tboerger@suse.com
- Added rpmlintrc for devel files filter
- Updated to 3.5.1
  - 3.5.1
  - Windows installation (#79).
  - condition command not properly detecting invalid breakpoint ids.
  - 3.5.0
  - Byebug's history messing other programs using Readline (#81).
  - Readline's history not being properly saved and inmediately available.
  - User not being notified when trying to debug a non existent script.
  - Complete rewrite of byebug's history.
  - Complete rewrite of list command.
  - Docs about stacktrace related commands (up, down, frame, backtrace).
  - 3.4.2
  - Debugging commands invoked by ruby exectuable (#67), as in byebug --
    ruby -Itest test/controllers/posts_controller_test.rb -n test_should_get_index.
  - 3.4.1
  - Use of threads inside eval command (#54).
  - list command not listing backwards after reaching the end of the file.
  - 3.4.0
  - deivid-rodriguez/pry-byebug#32 in a better way.
  - 3.3.0
  - set verbose command.
  - set post_mortem false command.
  - Debugger stopping in byebug's internal frames in some cases.
  - backtrace crashing when fullpath setting disabled and calculated
    stack size being smaller than the real one.
  - The -t option for bin/byebug now turns tracing on whereas the -x
    option tells byebug to run the initialization file (.byebugrc) on
    startup. This is the default behaviour though.
  - bin/byebug libified and tests added.
  - Removed info locals command. Use var local instead.
  - Removed info instance_variables command. Use var instance instead.
  - Removed info global_variables command. Use var global instead.
  - Removed info variables command. Use var all instead.
  - Removed irb command stepping capabilities, see 8e226d0.
  - Removed script and restart-script options for bin/byebug.
  - 3.2.0
  - Remote debugging (#71), thanks @shuky19.
  - source command (#68), thanks @Olgagr.
  - ruby-head support (#71).
  - Removed post_mortem activation through Byebug.post_mortem. Use set post_mortem instead.
  - Removed info stack command. Use where instead.
  - Removed method iv command. Use var instance instead.
  - Removed Warning reported in #77.
  - 3.1.2
  - (Really) post_mortem mode in bin/byebug.
  - Line tracing in bin/byebug.
  - 3.1.1
  - post_mortem mode in bin/byebug.
  - 3.1.0
  - Removed show commands command. Use history instead.
  - Removed Byebug.start accepting options. Any program settings you want applied from the start should be set in .byebugrc.
  - Removed trace command. Use set linetrace for line tracing and tracevar for global variable tracing.
  - Removed show version command. Use byebug --version to check byebug's version.
  - Removed set arg setting. Use the restart command instead.
  - linetrace_plus setting renamed to tracing_plus.
  - history command to check byebug's history of previous commands.
  - 3.0.0
  - Plain byebug not working when pry-byebug installed.
  - post_mortem mode.
  - Command history not being saved after regular program termination.
  - (Again) Calling Byebug.start with Timeout.timeout (#54), thanks @zmoazeni!
  - Allow disabling post_mortem mode.
  - show commands command for listing history of previous commands now behaves like shell's history command.
  - show/set history filename is now show/set histfile
  - show/set history size is now show/set histsize
  - show/set history save is now show/set autosave
  - finish semantic, see 61f9b4d.
  - Use per project history file by default.
  - Removed The init option for Byebug.start. Information to make the restart command work is always saved now.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Mar 24 2014 kkaempf@suse.com
- Fix openSUSE 13.1 build
* Wed Mar 19 2014 tboerger@novell.com
- Intial package 2.7.0
